﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PropGridFlyOutTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        
        public SampleObject Selected { get; set; }
        public MainWindow()
        {
            InitializeComponent();

            SampleObject obj = new SampleObject() { ID = 999 };
            obj.Buttons = new List<Button>() { new Button() { Content = "Button 1" }, new Button() { Content = "Button 2" } };
            Selected = obj;

            this.DataContext = this;
        }
    }

    public class SampleObject
    {
        public int ID { get; set; }
        public List<Button> Buttons { get; set; }
    }


}
